Highlighted
Contributor
Contributor

need urgent help

Hi all,

I am using ESX server 3.0 . I am getting some problems in emulex driver installation. I installed an Emulex card on HP Prolient system and when I invoked “lspci” I got following information

06:02.0 Fibre Channel: EMulex Corporation LP952 Fibre Channel Adapter (rev 01)

As emulex driver comes by default with ESX 3.0 so I tried to check /proc/scsii but there was no entry for emulex .

Then I downloaded lpfcutil-7.3.2.tgz from following link.

http://www.emulex.com/vmware/support/index.jsp

After installing this driver also I couldn’t get an entry in /proc/scsi.

Can anyone help me out.

0 Kudos
14 Replies
Highlighted
Virtuoso
Virtuoso

Odd, I've tried to change my zoning so that nothing is visible and maybe get the card to disappear this way but it keeps existing.

Strange stuff... can't help you I guess

--- Kenneth van Ditmarsch Freelance Virtualization Architect (VCDX)
0 Kudos
Highlighted
Contributor
Contributor

>>I've tried to change my zoning so that nothing is visible and maybe get the card to disappear this way but it keeps existing.

do u have emulex card installed on your system??

0 Kudos
Highlighted
Virtuoso
Virtuoso

Not on the system I did the check on but I implemented Emulex card before. (haven't got Emulex in my test environment.)

Have you tried another PCI slot?

--- Kenneth van Ditmarsch Freelance Virtualization Architect (VCDX)
0 Kudos
Highlighted
Contributor
Contributor

So when u implemented Emulex card before have u downloaded any explicit driver for it?? or u just used default driver??

I am going to try another PCI slot, will let u know.

0 Kudos
Highlighted
Virtuoso
Virtuoso

Default driver but that was a while ago (don't know the exact Emulex model neither)...... let me ask a colleague of mine if he recently implemented an Emulex

--- Kenneth van Ditmarsch Freelance Virtualization Architect (VCDX)
0 Kudos
Highlighted
Virtuoso
Virtuoso

Friend of mine recently installed a DL585 with 2 Emulex HBA's (LP952)

He also used the default drivers and it all worked like a charm.

--- Kenneth van Ditmarsch Freelance Virtualization Architect (VCDX)
0 Kudos
Highlighted
Enthusiast
Enthusiast

Ive had nothing but problems with Emulex cards and ESX 3+. I went to QLogic, and so far no problems... well, related to the Fiber.

0 Kudos
Highlighted
Contributor
Contributor

hey do u mean there is problem with HP prolient box?

I tried other slots also but it's not working.. Smiley Sad

0 Kudos
Highlighted
Virtuoso
Virtuoso

Could be a possibility but I doesn't seem obvious. I just got up to something you can check.

Can you check the BIOS of the system, some Proliant's require you to set an OS Selection. The differences between setting it to Linux rather than Windows has something to do with the PCI bus, maybe something is going wrong there?

Last thing I got from another friend, within Emulex BIOS you need to set "Point to Point" can you verify that as well?

--- Kenneth van Ditmarsch Freelance Virtualization Architect (VCDX)
0 Kudos
Highlighted
Enthusiast
Enthusiast

Romi,

I have not had any problems using Emulex cards on VI3. When you ran "lspci" it indicates that the it sees you card on the bus.

When you installed lpfcutil, it did not install a driver. This is a package that contains diagnostic utilities.

When you look in /proc/scsi the entry would be called "lpfc"

Do you see the Emulex card listed when you issue the following command "esxcfg-module -l" It should be listed as "lpfcdd_732"

If it is not listed, try enabling the Emulex module with the following command: "esxcfg-module -e lpfcdd_732"

Daniel Bischops

0 Kudos
Highlighted
Contributor
Contributor

when i invoke the command "esxcfg-module -l" i can see lpfcdd_732.

but i am not able to see any entry in /proc/scsi.

0 Kudos
Highlighted
Contributor
Contributor

esxcfg-module -l is showing that lpfcdd_732 is enabled but it is not loaded.

0 Kudos
Highlighted
Enthusiast
Enthusiast

Could you list the output of "esxcfg-module -g lpfcdd_732"

Also could you post your "/etc/vmware/esx.conf" file.

Thanks,

Daniel

0 Kudos
Highlighted
Enthusiast
Enthusiast

I have Emulex and love it.

I know 3.0 suppost the LP10000 series and up cards. I'm no so sure about prior cards.

I know when I had esx 2.5.3 it didn't support the LP10000 and up cards, I had to upgrade to ESX 3.0.

0 Kudos